# QCA::CertificateCollection Class Reference
[QCA user API]

Bundle of Certificates and CRLs. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CertificateCollection:

[legend]

List of all members.

## Public Member Functions

void | addCertificate (const Certificate &cert)
void | addCRL (const CRL &crl)
void | append (const CertificateCollection &other)
| CertificateCollection (const CertificateCollection &from)
| CertificateCollection ()
QList< Certificate > | certificates () const
QList< CRL > | crls () const
CertificateCollection | operator+ (const CertificateCollection &other) const
CertificateCollection & | operator+= (const CertificateCollection &other)
CertificateCollection & | operator= (const CertificateCollection &from)
bool | toFlatTextFile (const QString &fileName)
bool | toPKCS7File (const QString &fileName, const QString &provider=QString())

## Static Public Member Functions

static bool | canUsePKCS7 (const QString &provider=QString())
static CertificateCollection | fromFlatTextFile (const QString &fileName, ConvertResult *result=0, const QString &provider=QString())
static CertificateCollection | fromPKCS7File (const QString &fileName, ConvertResult *result=0, const QString &provider=QString())

## Detailed Description

Bundle of Certificates and CRLs.

CertificateCollection provides a bundle of Certificates and Certificate Revocation Lists (CRLs), not necessarily related.

See also:
  QCA::CertificateChain for a representation of a chain of Certificates related by signatures.

Examples:

  certtest.cpp, and ssltest.cpp.

## Constructor & Destructor Documentation

QCA::CertificateCollection::CertificateCollection | ( |  | ) |

Create an empty Certificate / CRL collection.

QCA::CertificateCollection::CertificateCollection | ( | const CertificateCollection & | from | ) |

Standard copy constructor.

Parameters:

  | from | the CertificateCollection to copy from

## Member Function Documentation

void QCA::CertificateCollection::addCertificate | ( | const Certificate & | cert | ) |

Append a Certificate to this collection.

Parameters:

  | cert | the Certificate to add to this CertificateCollection

Examples:
  ssltest.cpp.

void QCA::CertificateCollection::addCRL | ( | const CRL & | crl | ) |

Append a CRL to this collection.

Parameters:

  | crl | the certificate revokation list to add to this CertificateCollection

void QCA::CertificateCollection::append | ( | const CertificateCollection & | other | ) |

Add another CertificateCollection to this collection.

Parameters:

  | other | the CertificateCollection to add to this collection

static bool QCA::CertificateCollection::canUsePKCS7 | ( | const QString & | provider = `QString()` | ) | `[static]`

test if the CertificateCollection can be imported and exported to PKCS#7 format

Parameters:

  | provider | the provider to use, if a specific provider is required

Returns:
  true if the CertificateCollection can be imported and exported to PKCS#7 format

QList<Certificate> QCA::CertificateCollection::certificates | ( |  | ) | const

The Certificates in this collection.

Examples:
  certtest.cpp.

QList<CRL> QCA::CertificateCollection::crls | ( |  | ) | const

The CRLs in this collection.

static CertificateCollection QCA::CertificateCollection::fromFlatTextFile | ( | const QString & | fileName,
|  | ConvertResult * | result = `0`,
|  | const QString & | provider = `QString()` |
| ) |  |  | `[static]`

import a CertificateCollection from a text file

Parameters:

  | fileName | the name (and path, if required) to read the certificate collection from
  | result | a pointer to a ConvertResult, which if not-null will be set to the conversion status
  | provider | the provider to use, if a specific provider is required

Returns:
  the CertificateCollection corresponding to the contents of the file specified in fileName

Examples:
  certtest.cpp.

static CertificateCollection QCA::CertificateCollection::fromPKCS7File | ( | const QString & | fileName,
|  | ConvertResult * | result = `0`,
|  | const QString & | provider = `QString()` |
| ) |  |  | `[static]`

import a CertificateCollection from a PKCS#7 file

Parameters:

  | fileName | the name (and path, if required) to read the certificate collection from
  | result | a pointer to a ConvertResult, which if not-null will be set to the conversion status
  | provider | the provider to use, if a specific provider is required

Returns:
  the CertificateCollection corresponding to the contents of the file specified in fileName

CertificateCollection QCA::CertificateCollection::operator+ | ( | const CertificateCollection & | other | ) | const

Add another CertificateCollection to this collection.

Parameters:

  | other | the CertificateCollection to add to this collection

CertificateCollection& QCA::CertificateCollection::operator+= | ( | const CertificateCollection & | other | ) |

Add another CertificateCollection to this collection.

Parameters:

  | other | the CertificateCollection to add to this collection

CertificateCollection& QCA::CertificateCollection::operator= | ( | const CertificateCollection & | from | ) |

Standard assignment operator.

Parameters:

  | from | the CertificateCollection to copy from

bool QCA::CertificateCollection::toFlatTextFile | ( | const QString & | fileName | ) |

export the CertificateCollection to a plain text file

Parameters:

  | fileName | the name (and path, if required) to write the contents of the CertificateCollection to

Returns:
  true if the export succeeded, otherwise false

bool QCA::CertificateCollection::toPKCS7File | ( | const QString & | fileName,
|  | const QString & | provider = `QString()` |
| ) |  |  |

export the CertificateCollection to a PKCS#7 file

Parameters:

  | fileName | the name (and path, if required) to write the contents of the CertificateCollection to
  | provider | the provider to use, if a specific provider is required

Returns:
  true if the export succeeded, otherwise false

The documentation for this class was generated from the following file:

- qca_cert.h